' ------------------------------------------------------------------------------------
'  irr::gui::IGUIComboBox wrappers
'  do Not Delete a pointer To this
' ------------------------------------------------------------------------------------

Public

Type IGUIComboBox Extends IGUIElement Final

	Function createFromHandle:IGUIComboBox(pHandle:Int,bMustDel:Int=False,pGenFunc:Byte Ptr=Null)
		If Not pHandle Then Return Null
		Local oRetVal:IGUIComboBox=New IGUIComboBox
		oRetVal.attach(pHandle,bMustDel)
		Return oRetVal
	EndFunction
	
	Method clear()
		IrrGUI_IGUIComboBox_clear(handle)
	EndMethod
	
	Method addItem:Int(text:String)
		Return IrrGUI_IGUIComboBox_addItem(handle,text)
	EndMethod
	
	Method getItem:String(idx:Int)
		Return IrrGUI_IGUIComboBox_getItem(handle,idx)
	EndMethod
	
	Method getItemCount:Int()
		Return IrrGUI_IGUIComboBox_getItemCount(handle)
	EndMethod
	
	Method getSelected:Int()
		Return IrrGUI_IGUIComboBox_getSelected(handle)
	EndMethod
	
	Method setSelected(id:Int=-1)
		IrrGUI_IGUIComboBox_setSelected(handle,id)
	EndMethod

EndType


