' ------------------------------------------------------------------------------------
'  irr::gui::IGUIEditBox wrappers
'  do Not Delete a pointer To this
' ------------------------------------------------------------------------------------

Public

Type IGUIEditBox Extends IGUIElement Final

	Function createFromHandle:IGUIEditBox(pHandle:Int,bMustDel:Int=False,pGenFunc:Byte Ptr=Null)
		If Not pHandle Then Return Null
		Local oRetVal:IGUIEditBox=New IGUIEditBox
		oRetVal.attach(pHandle,bMustDel)
		Return oRetVal
	EndFunction
	
	Method getMax:Int()
		Return IrrGUI_IGUIEditBox_getMax(handle)
	EndMethod
	
	Method setMax(nMax:Int)
		IrrGUI_IGUIEditBox_setMax(handle,nMax)
	EndMethod
	
	Method enableOverrideColor(bEnable:Int)
		IrrGUI_IGUIEditBox_enableOverrideColor(handle,bEnable)
	EndMethod
	
	Method setOverrideColor(color:SColor)
		IrrGUI_IGUIEditBox_setOverrideColor(handle,color.handle)
	EndMethod
	
	Method setOverrideFont(font:IGUIFont=Null)
		If font=Null Then font=New IGUIFont ' default handle to 0
		IrrGUI_IGUIEditBox_setOverrideFont(handle,font.handle)
	EndMethod

EndType


