//------------------------------------------------------------------------------------
// irr::gui::IGUIListBox wrappers
// do not delete a pointer to this
//------------------------------------------------------------------------------------
extern "C" 
{

	s32 IrrGUI_IGUIListBox_addItem(IGUIListBox* lb,const c8* text)
	{
		stringw w_text = text;
		if (lb)
			return lb->addItem(w_text.c_str());
		else
			return -1;
	}
	
	s32 IrrGUI_IGUIListBox_addItemWithIcon(IGUIListBox* lb,const c8* text,s32 icon)
	{
		stringw w_text = text;
		if (lb)
			return lb->addItem(w_text.c_str(),icon);
		else
			return -1;
	}
	
	void IrrGUI_IGUIListBox_clear(IGUIListBox* lb)
	{
		if (lb)
			lb->clear();
	}
	
	s32 IrrGUI_IGUIListBox_getItemCount(IGUIListBox* lb)
	{
		if (lb)
			return lb->getItemCount();
		else return 0;
	}
	
	const c8* IrrGUI_IGUIListBox_getListItem(IGUIListBox* lb,s32 idx)
	{
		if (lb) {
			stringc* item=new stringc(lb->getListItem(idx));
			return item->c_str();
		} else return 0;
	}
	
	s32 IrrGUI_IGUIListBox_getSelected(IGUIListBox* lb)
	{
		if (lb)
			return lb->getSelected();
		else return -1;
	}
		
	void IrrGUI_IGUIListBox_setSelected(IGUIListBox* lb,s32 idx)
	{
		if (lb)
			lb->setSelected(idx);
	}
	
	void IrrGUI_IGUIListBox_removeItem(IGUIListBox* lb,s32 index)
	{
		if (lb)
			lb->removeItem(index);
	}
	
	void IrrGUI_IGUIListBox_setSpriteBank(IGUIListBox* lb,IGUISpriteBank* bank)
	{
		if (lb)
			lb->setSpriteBank(bank);
	}
}