' ------------------------------------------------------------------------------------
' IAttributeExchangingObject wrappers
' ------------------------------------------------------------------------------------
Public

Type IAttributeExchangingObject Extends Tirr_IUnknown

	Function createFromHandle:IAttributeExchangingObject(pHandle:Int,bMustDel:Int,pGenFunc:Byte Ptr=Null)
		If Not pHandle Then Return Null
		Local oRetVal:IAttributeExchangingObject=New IAttributeExchangingObject
		oRetVal.attach(pHandle,bMustDel)
		Return oRetVal
	EndFunction

	Method serializeAttributes(out:IAttributes,options:SAttributeReadWriteOptions=Null)
		If Not options Then options=New SAttributeReadWriteOptions ' default handle to 0
		Irr_IAttributeExchangingObject_serializeAttributes(handle,out.handle,options.handle)
	EndMethod

	Method deserializeAttributes(in:IAttributes,options:SAttributeReadWriteOptions=Null)
		If Not options Then options=New SAttributeReadWriteOptions ' default handle to 0
		Irr_IAttributeExchangingObject_deserializeAttributes(handle,in.handle,options.handle)	
	EndMethod

	Method drop:Int()
		If mustdelete Then mustdelete=False	
		Return Irr_IAttributeExchangingObject_drop(handle)
	EndMethod
	
	Method getDebugName:String()
		Return Irr_IAttributeExchangingObject_getDebugName(handle)
	EndMethod
	
	Method grab()
		Irr_IAttributeExchangingObject_grab(handle)
	EndMethod

	Method Delete()
		If (mustdelete) Then drop()
	EndMethod

EndType


