' ------------------------------------------------------------------------------------
' irr::SIrrlichtCreationParameters wrapper
' ------------------------------------------------------------------------------------
Public

Type SIrrlichtCreationParameters Extends IrrBase Final
	
	Function createFromHandle:SIrrlichtCreationParameters(pHandle:Int,bMustDel:Int=True)
		If Not pHandle Then Return Null
		Local oRetVal:SIrrlichtCreationParameters=New SIrrlichtCreationParameters
		oRetVal.attach(pHandle,bMustDel)
		Return oRetVal
	EndFunction

	Method Delete()
		If (mustdelete) Then Irr_SIrrlichtCreationParameters_del(handle)
	EndMethod	

	Function create:SIrrlichtCreationParameters()
		Return SIrrlichtCreationParameters.createFromHandle(Irr_SIrrlichtCreationParameters_new())
	EndFunction

	Method getAntiAlias:Int()
		Return Irr_SIrrlichtCreationParameters_getAntiAlias(handle)
	EndMethod
	
	Method setAntiAlias(bAntiAlias:Int)
		Irr_SIrrlichtCreationParameters_setAntiAlias(handle,bAntiAlias)
	EndMethod

	Method getBits:Int()
		Return Irr_SIrrlichtCreationParameters_getBits(handle)
	EndMethod

	Method setBits(bits:Int)
		Irr_SIrrlichtCreationParameters_setBits(handle,bits)
	EndMethod

	Method getDriverType:Int()
		Return Irr_SIrrlichtCreationParameters_getDriverType(handle)
	EndMethod

	Method setDriverType(E_DRIVER_TYPE_type:Int)
		Irr_SIrrlichtCreationParameters_setDriverType(handle,E_DRIVER_TYPE_type)
	EndMethod

	Method getEventReceiver:IEventReceiver(EventReceiverGenerateFunction:Byte Ptr)
		Return IEventReceiver.createFromHandle(EventReceiverGenerateFunction,Irr_SIrrlichtCreationParameters_getEventReceiver(handle),False)
	EndMethod

	Method setEventReceiver(recv:IEventReceiver)
		Irr_SIrrlichtCreationParameters_setEventReceiver(handle,recv.handle)
	EndMethod

	Method getFullscreen:Int()
		Return Irr_SIrrlichtCreationParameters_getFullscreen(handle)
	EndMethod

	Method setFullscreen(bFullscreen:Int)
		Irr_SIrrlichtCreationParameters_setFullscreen(handle,bFullscreen)
	EndMethod

	Method getStencilbuffer:Int()
		Return Irr_SIrrlichtCreationParameters_getStencilbuffer(handle)
	EndMethod

	Method setStencilbuffer(bSbuffer:Int)
		Irr_SIrrlichtCreationParameters_setStencilbuffer(handle,bSbuffer)
	EndMethod

	Method getVsync:Int()
		Return Irr_SIrrlichtCreationParameters_getVsync(handle)
	EndMethod

	Method setVsync(bVS:Int)
		Irr_SIrrlichtCreationParameters_setVsync(handle,bVS)
	EndMethod

	Method getWindowId:Int()
		Return Irr_SIrrlichtCreationParameters_getWindowId(handle)
	EndMethod

	Method setWindowId(hwnd:Int)
		Irr_SIrrlichtCreationParameters_setWindowId(handle,hwnd)
	EndMethod

	Method getWindowSize:Dimension2di()
		'  do not delete ptr
		Return Dimension2di.createFromHandle(Irr_SIrrlichtCreationParameters_getWindowSize(handle),False)
	EndMethod

	Method setWindowSize(size:Dimension2di)
		Irr_SIrrlichtCreationParameters_setWindowSize(handle,size.handle)
	EndMethod

	Method getHighPrecisionFPU:Int()
		Return Irr_SIrrlichtCreationParameters_getHighPrecisionFPU(handle)
	EndMethod
	
	Method setHighPrecisionFPU(bHighPrecision:Int=False)
		Irr_SIrrlichtCreationParameters_setHighPrecisionFPU(handle,bHighPrecision)
	EndMethod

EndType


