' An enumeration for all types of automatic culling for built-in scene nodes 
' enum E_CULLING_TYPE

Const EAC_OFF:Int = 0

Const EAC_BOX:Int = 1

Const EAC_FRUSTUM_BOX:Int = 2

Const EAC_FRUSTUM_SPHERE:Int = 3

' Names for culling type
Global AutomaticCullingNames:String[] = ..
[ ..
	"false", ..
	"box", ..				' camera box against node box
	"frustum_box", ..		' camera frustum against node box
	"frustum_sphere", ..	' camera frustum against node sphere
	"" ..
]
