' ! Enumeration for all vertex types there are.
'enum E_PRIMITIVE_TYPE

' ! All vertices are non-connected points.
Const EPT_POINTS:Int = 0

' ! All vertices form a single connected line.
Const EPT_LINE_STRIP:Int = 1

' ! Just as LINE_STRIP:Int  = but the last and the first vertex is also connected.
Const EPT_LINE_LOOP:Int  = 2 

' ! Every two vertices are connected creating n/2 lines.
Const EPT_LINES:Int  = 3

' ! After the first two vertices each vertex defines a new triangle.
' ! Always the two last and the new one form a new triangle.
Const EPT_TRIANGLE_STRIP:Int  = 4

' ! After the first two vertices each vertex defines a new triangle.
' ! All around the common first vertex.
Const EPT_TRIANGLE_FAN:Int  = 5

' ! Explicitly set all vertices for each triangle.
Const EPT_TRIANGLES:Int  = 6

' ! After the first two vertices each further tw vetices create a quad with the preceding two.
Const EPT_QUAD_STRIP:Int  = 7

' ! Every four vertices create a quad.
Const EPT_QUADS:Int  = 8

' ! Just as LINE_LOOP but filled.
Const EPT_POLYGON:Int = 9
