
Public


Extern
	' ------------------------------------------------------------------------------------
	'  irr::scene::IMeshBuffer wrappers
	' ------------------------------------------------------------------------------------
	
	Function IrrScene_IMeshBuffer_getBoundingBox:Int(pIMeshBuffer_mb:Int) ' returns aabbox3d<f32>*
	Function IrrScene_IMeshBuffer_getIndexCount:Int(pIMeshBuffer_mb:Int)
	Function IrrScene_IMeshBuffer_getIndices:Int(pIMeshBuffer_mb:Int) ' returns array<u16>*
	' do not delete
	Function IrrScene_IMeshBuffer_getMaterial:Int(pIMeshBuffer_mb:Int) ' returns SMaterial* 
	Function IrrScene_IMeshBuffer_getVertexCount:Int(pIMeshBuffer_mb:Int)
	Function IrrScene_IMeshBuffer_getVertexType:Int(pIMeshBuffer_mb:Int)
	'  do not delete these
	Function IrrScene_IMeshBuffer_getVertices:Int(pIMeshBuffer_mb:Int) ' returns array<S3DVertex*>*
	Function IrrScene_IMeshBuffer_getVertices2TCoords:Int(pIMeshBuffer_mb:Int) ' returns array<S3DVertex2TCoords*>*
	Function IrrScene_IMeshBuffer_getVerticesTangents:Int(pIMeshBuffer_mb:Int) ' returns array<S3DVertexTangents*>*
	' do not delete these
	Function IrrScene_IMeshBuffer_getVertex(pIMeshBuffer_mb:Int,idx:Int) ' returns S3DVertex*
	Function IrrScene_IMeshBuffer_getVertex2TCoords(pIMeshBuffer_mb:Int,idx:Int) ' returns S3DVertex2TCoords*
	Function IrrScene_IMeshBuffer_getVertexTangents(pIMeshBuffer_mb:Int,idx:Int) ' returns S3DVertexTangents*

	Function IrrScene_IMeshBuffer_getVertexPitch:Int(pIMeshBuffer:Int)
	Function IrrScene_IMeshBuffer_setBoundingBox(pIMeshBuffer:Int,pAABbox3df:Int)

	Function IrrScene_IMeshBuffer_fillS3DVertexVerticesPtrs(pIMeshBuffer:Int,pos:Float Ptr,normals:Float Ptr,tcoords:Float Ptr,colors:Float Ptr,bSwap:Int)
	Function IrrScene_IMeshBuffer_fillS3DVertex2TCoordsVerticesPtrs(pIMeshBuffer:Int,pos:Float Ptr,normals:Float Ptr,tcoords:Float Ptr,colors:Float Ptr,tcoords2:Float Ptr,bSwap:Int)
	Function IrrScene_IMeshBuffer_fillS3DVertexTangentsVerticesPtrs(pIMeshBuffer:Int,pos:Float Ptr,normals:Float Ptr,tcoords:Float Ptr,colors:Float Ptr,tangents:Float Ptr,binormals:Float Ptr,bSwap:Int)	
	Function IrrScene_IMeshBuffer_fillIndicesPtr(pIMeshBuffer:Int,indicies:Short Ptr,bSwap:Int) 
	
	Function IrrScene_IMeshBuffer_drop:Int(pIUnknown:Int)
	Function IrrScene_IMeshBuffer_getDebugName$z(pIUnknown:Int)
	Function IrrScene_IMeshBuffer_grab(pIUnknown:Int)
	
EndExtern

