' ------------------------------------------------------------------------------------
'  irr::scene::IMetaTriangleSelector wrappers
' ------------------------------------------------------------------------------------
Public

Type IMetaTriangleSelector Extends ITriangleSelector Final

	Function createFromHandle:IMetaTriangleSelector(pHandle:Int,bMustDel:Int=True)
		If Not pHandle Then Return Null
		Local oRetVal:IMetaTriangleSelector=New IMetaTriangleSelector
		oRetVal.attach(pHandle,bMustDel)
		Return oRetVal
	EndFunction
	
	Method addTriangleSelector(toAdd:ITriangleSelector)
		IrrScene_IMetaTriangleSelector_addTriangleSelector(handle,toAdd.handle)
	EndMethod
	
	Method removeAllTriangleSelectors()
		IrrScene_IMetaTriangleSelector_removeAllTriangleSelectors(handle)
	EndMethod
	
	Method removeTriangleSelector:Int(toRemove:ITriangleSelector)
		Return IrrScene_IMetaTriangleSelector_removeTriangleSelector(handle,toRemove.handle)
	EndMethod

EndType




