Public

Extern

	Function IrrCore_Vector3df_new:Int(x:Float=0.0,y:Float=0.0,z:Float=0.0)
	Function IrrCore_Vector3df_newFromVect:Int(pOther:Int)
	Function IrrCore_Vector3df_del(pDelVect:Int)
	Function IrrCore_Vector3df_set(pVect:Int,x:Float,y:Float,z:Float)
	Function IrrCore_Vector3df_setFromVect(pVect:Int,pOther:Int)
	Function IrrCore_Vector3df_getX:Float(pVect:Int)
	Function IrrCore_Vector3df_getY:Float(pVect:Int)
	Function IrrCore_Vector3df_getZ:Float(pVect:Int)
	Function IrrCore_Vector3df_setX(pVect:Int,x:Float)
	Function IrrCore_Vector3df_setY(pVect:Int,x:Float)
	Function IrrCore_Vector3df_setZ(pVect:Int,x:Float)
	
	Function IrrCore_Vector3df_getLength:Double(pVect:Int)
	Function IrrCore_Vector3df_getLengthSQ:Float(pVect:Int)
	Function IrrCore_Vector3df_dotProduct:Float(pVect:Int,pOther:Int)
	Function IrrCore_Vector3df_getDistanceFrom:Double(pVect:Int,pOther:Int)
	Function IrrCore_Vector3df_getDistanceFromSQ:Float(pVect:Int,pOther:Int)
	Function IrrCore_Vector3df_normalize:Int(pVect:Int)
	Function IrrCore_Vector3df_rotateXZBy(pVect:Int,degrees:Double,pCenter:Int)
	Function IrrCore_Vector3df_rotateXYBy(pVect:Int,degrees:Double,pCenter:Int)
	Function IrrCore_Vector3df_rotateYZBy(pVect:Int,degrees:Double,pCenter:Int)
	Function IrrCore_Vector3df_crossProduct:Int(pVect:Int,pOther:Int)
	Function IrrCore_Vector3df_isBetweenPoints:Int(pVect:Int,pBegin:Int,pEnd:Int) 
	Function IrrCore_Vector3df_setLength(pVect:Int,newlength:Float)
	Function IrrCore_Vector3df_invert(pVect:Int)
	Function IrrCore_Vector3df_getInterpolated:Int(pVect:Int,pOther:Int,d:Float)
	
	Function IrrCore_Vector3df_setEq:Int(pVect:Int,pOther:Int)
	Function IrrCore_Vector3df_EqEq:Int(pVect:Int,pOther:Int)
	Function IrrCore_Vector3df_NotEq:Int(pVect:Int,pOther:Int)
	Function IrrCore_Vector3df_GreatEq:Int(pVect:Int,pOther:Int)
	Function IrrCore_Vector3df_LessEq:Int(pVect:Int,pOther:Int)
	Function IrrCore_Vector3df_Plus:Int(pVect:Int,pOther:Int)
	Function IrrCore_Vector3df_PlusEq:Int(pVect:Int,pOther:Int)
	Function IrrCore_Vector3df_Minus:Int(pVect:Int,pOther:Int)
	Function IrrCore_Vector3df_MinusEq:Int(pVect:Int,pOther:Int)
	Function IrrCore_Vector3df_MultVect:Int(pVect:Int,pOther:Int)
	Function IrrCore_Vector3df_Mult:Int(pVect:Int,v:Float)
	Function IrrCore_Vector3df_MultEqVect:Int(pVect:Int,pOther:Int)
	Function IrrCore_Vector3df_MultEq:Int(pVect:Int,v:Float)
	Function IrrCore_Vector3df_DivVect:Int(pVect:Int,pOther:Int)
	Function IrrCore_Vector3df_Div:Int(pVect:Int,v:Float)
	Function IrrCore_Vector3df_DivEqVect:Int(pVect:Int,pOther:Int)
	Function IrrCore_Vector3df_DivEq:Int(pVect:Int,v:Float)

	Function IrrCore_Vector3df_getAs4Values(pVect:Int,vals:Float Ptr)
	Function IrrCore_Vector3df_getHorizontalAngle:Int(pVect:Int) ' returns vector3df* 

	Function IrrCore_Vector3df_Less:Int(pVector3df:Int,pVector3df_other:Int)	
	Function IrrCore_Vector3df_Great:Int(pVector3df:Int,pVector3df_other:Int)
	Function IrrCore_Vector3df_equals:Int(pVector3df:Int,pVector3df_other:Int,tolerance:Float = 0.00005)
	Function IrrCore_Vector3df_getInterpolated_quadratic:Int(pVector3df:Int,pVector3df_v2:Int,pVector3df_v3:Int,d:Float) ' returns vector3df*

EndExtern

