//------------------------------------------------------------------------------------
// irr::gui::IGUIComboBox wrappers
// do not delete a pointer to this
//------------------------------------------------------------------------------------

extern "C" void IrrGUI_IGUIComboBox_clear(IGUIComboBox* cb)
{
	if (cb)
		cb->clear();
}

extern "C" s32 IrrGUI_IGUIComboBox_addItem(IGUIComboBox* cb,const c8* text)
{
	if (cb) {
		core::stringw w_text = text;
		return cb->addItem(w_text.c_str());
	} else return 0;
}

extern "C" const c8* IrrGUI_IGUIComboBox_getItem(IGUIComboBox* cb,s32 idx)
{
	if (cb) {
		stringc* item=new stringc(cb->getItem(idx));
		return item->c_str();
	} else return "";
}

extern "C" s32 IrrGUI_IGUIComboBox_getItemCount(IGUIComboBox* cb)
{
	if (cb)
		return cb->getItemCount();
	else return 0;
}

extern "C" s32 IrrGUI_IGUIComboBox_getSelected(IGUIComboBox* cb)
{
	if (cb)
		return cb->getSelected();
	else return -1;
}

extern "C" void IrrGUI_IGUIComboBox_setSelected(IGUIComboBox* cb,s32 id=-1)
{
	if (cb)
		cb->setSelected(id);
}


