Public
' ------------------------------------------------------------------------------------
'  irr::gui::IGUIListBox wrappers
'  do Not Delete a pointer To this
' ------------------------------------------------------------------------------------
Type IGUIListBox Extends IGUIElement Final

	Function createFromHandle:IGUIListBox(pHandle:Int,bMustDel:Int=False,pGenFunc:Byte Ptr=Null)
		If Not pHandle Then Return Null
		Local oRetVal:IGUIListBox=New IGUIListBox
		oRetVal.attach(pHandle,bMustDel)
		Return oRetVal
	EndFunction	
	
	Method addItem:Int(text:String)
		IrrGUI_IGUIListBox_addItem(handle,text)
	EndMethod
	
	Method addItemWithIcon:Int(text:String,icon:Int)
		Return IrrGUI_IGUIListBox_addItemWithIcon(handle,text,icon)
	EndMethod
	
	Method clear()
		IrrGUI_IGUIListBox_clear(handle)
	EndMethod
	
	Method getItemCount:Int()
		Return IrrGUI_IGUIListBox_getItemCount(handle)
	EndMethod
	
	Method getListItem:String(idx:Int)
		Return IrrGUI_IGUIListBox_getListItem(handle,idx)
	EndMethod
	Method getSelected:Int()
		Return IrrGUI_IGUIListBox_getSelected(handle)
	EndMethod
		
	Method setSelected(idx:Int)
		IrrGUI_IGUIListBox_setSelected(handle,idx)
	EndMethod

	Method removeItem(index:Int)
		IrrGUI_IGUIListBox_removeItem(handle,index)
	EndMethod
	
	Method setSpriteBank(bank:IGUISpriteBank)
		IrrGUI_IGUIListBox_setSpriteBank(handle,bank.handle)
	EndMethod

EndType
    


