//------------------------------------------------------------------------------------
// irr::gui::IGUITabControl wrappers
// do not delete a pointer to this
//------------------------------------------------------------------------------------
extern "C" 
{
	IGUITab* IrrGUI_IGUITabControl_addTab(IGUITabControl* tc,const c8* caption,s32 id=-1)
	{
		stringw w_text = caption;
		if (tc)
			return tc->addTab((wchar_t*)w_text.c_str(),id);
	}
	
	s32 IrrGUI_IGUITabControl_getActiveTab(IGUITabControl* tc)
	{
		if (tc)
			return tc->getActiveTab();
		else return 0;
	}
	
	IGUITab* IrrGUI_IGUITabControl_getTab(IGUITabControl* tc,s32 idx)
	{
		if (tc)
			return tc->getTab(idx);
		else return 0;
	}
	
	s32 IrrGUI_IGUITabControl_getTabcount(IGUITabControl* tc)
	{
		if (tc)
			return tc->getTabcount();
		else return 0;
	}
	
	bool IrrGUI_IGUITabControl_setActiveTab(IGUITabControl* tc,s32 idx)
	{
		if (tc)
			return tc->setActiveTab(idx);
		else
			return false;
	}	
	
	bool IrrGUI_IGUITabControl_setActiveTabFromTab(IGUITabControl* tc,IGUIElement *tab)
	{
		if (tc)
			return tc->setActiveTab(tab);
		else return false;
	}
}