Public

' ! Enumeration For all xml nodes which are parsed by IXMLReader
' enum EXML_NODE

' ! No xml node. This is usually the node If you did Not read anything yet.
Const EXN_NONE:Int=0

' ! A xml element= like <foo>
Const EXN_ELEMENT:Int=1

' ! End of an xml element= like </foo>
Const EXN_ELEMENT_END:Int=2

' ! Text within a xml element: <foo> this is the text. </foo>
Const EXN_TEXT:Int=3

' ! An xml comment like <!-- I am a comment --> Or a DTD definition.
Const EXN_COMMENT:Int=4

' ! An xml cdata section like &lt;![CDATA[ this is some CDATA ]]&gt;
Const EXN_CDATA:Int=5

' ! Unknown element.
Const EXN_UNKNOWN:Int=6

