//------------------------------------------------------------------------------------
// irr::SIrrCreationParameters wrappers
//------------------------------------------------------------------------------------

extern "C" 
{

	SIrrlichtCreationParameters* Irr_SIrrlichtCreationParameters_new()
	{
		return new SIrrlichtCreationParameters();
	}
	
	void Irr_SIrrlichtCreationParameters_del(SIrrlichtCreationParameters* cp)
	{
		if (cp) delete cp;
		cp=0;
	}
	
	bool Irr_SIrrlichtCreationParameters_getAntiAlias(SIrrlichtCreationParameters* cp)
	{
		if (cp) return cp->AntiAlias; else return false;
	}
	
	void Irr_SIrrlichtCreationParameters_setAntiAlias(SIrrlichtCreationParameters* cp,bool bAntiAlias)
	{
		if (cp) cp->AntiAlias=bAntiAlias;
	}

	u32 Irr_SIrrlichtCreationParameters_getBits(SIrrlichtCreationParameters* cp)
	{
		if (cp) return cp->Bits; else return 0;
	}
	
	void Irr_SIrrlichtCreationParameters_setBits(SIrrlichtCreationParameters* cp,u32 bits)
	{
		if (cp) cp->Bits=bits;
	}
	
	u32 Irr_SIrrlichtCreationParameters_getDriverType(SIrrlichtCreationParameters* cp)
	{
		if (cp) return cp->DriverType; else return 0;
	}
	
	void Irr_SIrrlichtCreationParameters_setDriverType(SIrrlichtCreationParameters* cp,E_DRIVER_TYPE type)
	{
		if (cp) cp->DriverType=type;
	}
	
	IEventReceiver* Irr_SIrrlichtCreationParameters_getEventReceiver(SIrrlichtCreationParameters* cp)
	{
		if (cp) return cp->EventReceiver; else return 0;
	}
	
	void Irr_SIrrlichtCreationParameters_setEventReceiver(SIrrlichtCreationParameters* cp,IEventReceiver* recv)
	{
		if (cp) cp->EventReceiver=recv;
	}
	
	bool Irr_SIrrlichtCreationParameters_getFullscreen(SIrrlichtCreationParameters* cp)
	{
		if (cp) return cp->Fullscreen; else return false;
	}
	
	void Irr_SIrrlichtCreationParameters_setFullscreen(SIrrlichtCreationParameters* cp,bool fullscreen)
	{
		if (cp) cp->Fullscreen=fullscreen;
	}
	
	bool Irr_SIrrlichtCreationParameters_getStencilbuffer(SIrrlichtCreationParameters* cp)
	{
		if (cp) return cp->Stencilbuffer; else return false;
	}
	
	void Irr_SIrrlichtCreationParameters_setStencilbuffer(SIrrlichtCreationParameters* cp,bool sb)
	{
		if (cp) cp->Stencilbuffer=sb;
	}
	
	bool Irr_SIrrlichtCreationParameters_getVsync(SIrrlichtCreationParameters* cp)
	{
		if (cp) return cp->Vsync; else return false;
	}
	
	void Irr_SIrrlichtCreationParameters_setVsync(SIrrlichtCreationParameters* cp,bool vs)
	{
		if (cp) cp->Vsync=vs;
	}
	
	s32 Irr_SIrrlichtCreationParameters_getWindowId(SIrrlichtCreationParameters* cp)
	{
		if (cp) return cp->WindowId; else return 0;
	}
	
	void Irr_SIrrlichtCreationParameters_setWindowId(SIrrlichtCreationParameters* cp,s32 hwnd)
	{
		if (cp) cp->WindowId=hwnd;
	}
	
	// do not delete ptr
	dimension2di* Irr_SIrrlichtCreationParameters_getWindowSize(SIrrlichtCreationParameters* cp)
	{
		if (cp) return &cp->WindowSize; else return 0;
	}

	void Irr_SIrrlichtCreationParameters_setWindowSize(SIrrlichtCreationParameters* cp,dimension2di* size)
	{
		if (cp) cp->WindowSize=*size;
	}
	
	bool Irr_SIrrlichtCreationParameters_getHighPrecisionFPU(SIrrlichtCreationParameters* cp)
	{
		if (cp) return cp->HighPrecisionFPU; else return false;
	}
	
	void Irr_SIrrlichtCreationParameters_setHighPrecisionFPU(SIrrlichtCreationParameters* cp,bool hpfpu)
	{
		if (cp) cp->HighPrecisionFPU=hpfpu;
	}
	
}


