
Include "irrbmax_base.bmx"

' -----------------------------------------------
' irr::core wrappers
' -----------------------------------------------
Include "core/dimension2df.bmx"
Include "core/dimension2di.bmx"
Include "core/position2df.bmx"
Include "core/position2di.bmx"
Include "core/recti.bmx"
Include "core/rectf.bmx"
Include "core/vector2di.bmx"
Include "core/vector3di.bmx"
Include "core/vector2df.bmx"
Include "core/vector3df.bmx"
Include "core/triangle3di.bmx"
Include "core/triangle3df.bmx"
Include "core/plane3df.bmx"
Include "core/plane3di.bmx"
Include "core/quaternion.bmx"
Include "core/stringc.bmx"
Include "core/stringw.bmx"
Include "core/line2di.bmx"
Include "core/line2df.bmx"
Include "core/line3di.bmx"
Include "core/line3df.bmx"
Include "core/aabbox3df.bmx"
Include "core/aabbox3di.bmx"
Include "core/matrix4.bmx"

' arrays
Include "core/array_s32.bmx"
Include "core/array_u16.bmx"
Include "core/array_u32.bmx"
Include "core/array_vector3df.bmx"
Include "core/array_triangle3df.bmx"
Include "core/array_s3dvertex.bmx"
Include "core/array_s3dvertex2tcoords.bmx"
Include "core/array_s3dvertextangents.bmx"
Include "core/array_sparticle_ptr.bmx"
Include "core/array_sparticle.bmx"

' -----------------------------------------------
' irr::io wrappers
' -----------------------------------------------

Include "io/ifilelist.bmx"
Include "io/ireadfile.bmx"
Include "io/iwritefile.bmx"
Include "io/ixmlreader.bmx"
Include "io/ixmlreaderutf8.bmx"
Include "io/ixmlwriter.bmx"
Include "io/ifilesystem.bmx"
Include "io/sattributereadwriteoptions.bmx"
Include "io/iattributeexchangingobject.bmx"
Include "io/iattributes.bmx"

' -----------------------------------------------
' irr::gui wrappers 
' -----------------------------------------------
Include "gui/icursorcontrol.bmx"
Include "gui/iguifont.bmx"
Include "gui/iguifontbitmap.bmx"
Include "gui/iguielement.bmx"
Include "gui/iguibutton.bmx"
Include "gui/iguicheckbox.bmx"
Include "gui/iguicolorselectdialog.bmx"
Include "gui/iguicombobox.bmx"
Include "gui/iguicontextmenu.bmx"
Include "gui/iguieditbox.bmx"
Include "gui/iguiimage.bmx"
Include "gui/iguifileopendialog.bmx"
Include "gui/iguiinoutfader.bmx"
Include "gui/iguilistbox.bmx"
Include "gui/iguimeshviewer.bmx"
Include "gui/iguiscrollbar.bmx"
Include "gui/iguiskin.bmx"
Include "gui/iguistatictext.bmx"
Include "gui/iguitab.bmx"
Include "gui/iguitabcontrol.bmx"
Include "gui/iguitoolbar.bmx"
Include "gui/iguiwindow.bmx"
Include "gui/iguienvironment.bmx"
Include "gui/iguispritebank.bmx"
Include "gui/iguielementfactory.bmx"

' -----------------------------------------------
' irr::irr wrappers 
' -----------------------------------------------

Include "irr/ilogger.bmx"
Include "irr/iosoperator.bmx"
Include "irr/itimer.bmx"
Include "irr/skeymap.bmx"
Include "irr/sevent.bmx"
Include "irr/irrlichtdevice.bmx"
Include "irr/ieventreceiver.bmx"
Include "irr/sirrcreationparameters.bmx"
Include "irr/iunknown.bmx"

' -----------------------------------------------
' irr::video wrappers 
' -----------------------------------------------

Include "video/scolor.bmx"
Include "video/iimage.bmx"
Include "video/s3dvertex.bmx"
Include "video/itexture.bmx"
Include "video/sexposedvideodata.bmx"
Include "video/slight.bmx"
Include "video/smaterial.bmx"
Include "video/ivideomodelist.bmx"
Include "video/ivideodriver.bmx"
Include "video/imaterialrendererservices.bmx"
Include "video/imaterialrenderer.bmx"
Include "video/ishaderconstantsetcallback.bmx"
Include "video/igpuprogrammingservices.bmx"
Include "video/iimagewriter.bmx"
Include "video/iimageloader.bmx"

' -----------------------------------------------
' irr::scene wrappers 
' -----------------------------------------------
Include "scene/imeshbuffer.bmx"
Include "scene/imeshcache.bmx"
Include "scene/imesh.bmx"
Include "scene/imeshloader.bmx"
Include "scene/ianimatedmesh.bmx"
Include "scene/ianimatedmeshscenenode.bmx"
Include "scene/ianimatedmeshmd2.bmx"
Include "scene/ianimatedmeshms3d.bmx"
Include "scene/ianimatedmeshb3d.bmx"
Include "scene/ianimatedmeshx.bmx"
Include "scene/ianimationendcallback.bmx"
Include "scene/iq3levelmesh.bmx"
Include "scene/itriangleselector.bmx"
Include "scene/iscenenodeanimator.bmx"
Include "scene/iscenenode.bmx"
Include "scene/iscenenodefactory.bmx"
Include "scene/ibillboardscenenode.bmx"
Include "scene/sviewfrustum.bmx"
Include "scene/icamerascenenode.bmx"
Include "scene/idummytransformationscenenode.bmx"
Include "scene/ilightscenenode.bmx"
Include "scene/smesh.bmx"
Include "scene/imeshmanipulator.bmx"
Include "scene/imeshscenenode.bmx"
Include "scene/imetatriangleselector.bmx"
Include "scene/sparticle.bmx"
Include "scene/iparticleaffector.bmx"
Include "scene/iparticleemitter.bmx"
Include "scene/iparticlesystemscenenode.bmx"
Include "scene/iscenecollisionmanager.bmx"
Include "scene/iscenenodeanimatorcollisionresponse.bmx"
Include "scene/iscenenodeanimatorfactory.bmx"
Include "scene/ishadowvolumescenenode.bmx"
Include "scene/iterrainscenenode.bmx"
Include "scene/itextscenenode.bmx"
Include "scene/smeshbufferlightmap.bmx"
Include "scene/sanimatedmesh.bmx"
Include "scene/smeshbuffer.bmx"
Include "scene/smeshbuffertangents.bmx"
Include "scene/iscenemanager.bmx"
Include "scene/isceneuserdataserializer.bmx"
Include "scene/ianimatedmeshmd3.bmx"
Include "scene/iq3shader.bmx"

Function _VECTOR3DF:Vector3df(x:Float=0,y:Float=0,z:Float=0)
	Return Vector3df.createFromVals(x,y,z)
EndFunction

Function _DIMENSION2DI:Dimension2di(x:Int=0,y:Int=0)
	Return Dimension2di.create(x,y)
EndFunction

Function _DIMENSION2DF:Dimension2df(x:Int=0,y:Int=0)
	Return Dimension2df.create(x,y)
EndFunction

Function _RECTI:Recti(x1:Int=0,y1:Int=0,x2:Int=0,y2:Int=0)
	Return Recti.createFromVals(x1,y1,x2,y2)
EndFunction

Function _POSITION2DI:Position2di(x:Int=0,y:Int=0)
	Return Position2di.create(x,y)
EndFunction

Function _POSITION2DF:Position2df(x:Int=0,y:Int=0)
	Return Position2df.create(x,y)
EndFunction

Function _SCOLOR:SColor(a:Int,r:Int,g:Int,b:Int)
	Return SColor.createFromVals(a,r,g,b)
EndFunction

Function _SCOLORF:SColorf(r:Float,g:Float,b:Float,a:Float=1.0)
	Return SColorf.createFromRGBA(r,g,b,a)
EndFunction

' converts an array of Irrlicht mod objects into an array of handles
Function GetHandleArray:Int[](objects:IrrBase[])
	Local size:Int=0
	Local handle_array:Int[]=Null

	If objects Then		
		size=objects.Dimensions()[0]
		handle_array=New Int[size]
	
		For Local i:Int=0 Until size
			handle_array[i]=objects[i].handle
		Next
	EndIf
		
	Return handle_array
EndFunction

