' ------------------------------------------------------------------------------------
' irr::scene::IParticleEmitter wrappers
' TODO: make bound version
' ------------------------------------------------------------------------------------
Public

Type IParticleEmitter Extends IAttributeExchangingObject Final

	Function createFromHandle:IParticleEmitter(pHandle:Int,bMustDel:Int=True,pGenFunc:Byte Ptr=Null)
		If Not pHandle Then Return Null
		Local oRetVal:IParticleEmitter=New IParticleEmitter
		oRetVal.attach(pHandle,bMustDel)
		Return oRetVal
	EndFunction
	
	Method emitt:Array_SParticle(now:Int,timeSinceLastCall:Int)
		Return Array_SParticle.createFromHandle(IrrScene_IParticleEmitter_emitt(handle,now,timeSinceLastCall))
	EndMethod

	Method getType:Int() ' returns E_PARTICLE_EMITTER_TYPE
		Return IrrScene_IParticleEmitter_getType(handle) 
	EndMethod
	
	Method serializeAttributes(out:IAttributes,options:SAttributeReadWriteOptions=Null)
		If Not options Then options=New SAttributeReadWriteOptions ' default handle to null
		IrrScene_IParticleEmitter_serializeAttributes(handle,out.handle,options.handle)
	EndMethod
	
	Method deserializeAttributes(in:IAttributes,options:SAttributeReadWriteOptions=Null)
		If Not options Then options=New SAttributeReadWriteOptions ' default handle to null
		IrrScene_IParticleEmitter_deserializeAttributes(handle,in.handle,options.handle)
	EndMethod	

	Method drop:Int()
		If mustdelete Then mustdelete=False		
		Return IrrScene_IParticleEmitter_drop(handle)
	EndMethod
	
	Method getDebugName:String()
		Return IrrScene_IParticleEmitter_getDebugName(handle)
	EndMethod
	
	Method grab()
		IrrScene_IParticleEmitter_grab(handle)
	EndMethod

	Method Delete()
		If (mustdelete) Then drop()
	EndMethod
EndType
