//------------------------------------------------------------------------------------
// irr::scene::IParticleEmitter wrappers
//------------------------------------------------------------------------------------

extern "C" 
{
	array<SParticle>* IrrScene_IParticleEmitter_emitt(IParticleEmitter* pa,u32 now,u32 timeSinceLastCall)
	{
		if (pa) {
			SParticle* outArr;
			int count=0;
			count=pa->emitt(now,timeSinceLastCall,outArr);
			array<SParticle>* retval=new array<SParticle>();
			retval->set_pointer(outArr,count);
			return retval;
		}
		else return 0;
	}

	s32 IrrScene_IParticleEmitter_getType(IParticleEmitter* pa)
	{
		if (pa)
			return (s32)pa->getType();
		else return -1; 
	}
	
	void IrrScene_IParticleEmitter_serializeAttributes(IParticleEmitter* pa,io::IAttributes* out,io::SAttributeReadWriteOptions* options=0)
	{
		if (pa)
			pa->serializeAttributes(out,options);
	}
	
	void IrrScene_IParticleEmitter_deserializeAttributes(IParticleEmitter* pa,io::IAttributes* in,io::SAttributeReadWriteOptions* options=0)
	{
		if (pa)
			pa->deserializeAttributes(0,in,options);
		
	}	
	
	bool IrrScene_IParticleEmitter_drop(IParticleEmitter* unk)
	{
		if (unk)
			return unk->drop();
		else return 0;
	}
	
	const c8* IrrScene_IParticleEmitter_getDebugName(IParticleEmitter* unk)
	{
		if (unk)
			return unk->getDebugName();
		else return "";
	}
	
	void IrrScene_IParticleEmitter_grab(IParticleEmitter* unk)
	{
		if (unk)
			unk->grab();
	}
		
}

