//------------------------------------------------------------------------------------
// irr::scene::SMeshBufferTangents wrappers (parent is IMeshBuffer)
//------------------------------------------------------------------------------------

extern "C" 
{

	SMeshBufferTangents* IrrScene_SMeshBufferTangents_new()
	{
		return new SMeshBufferTangents();
	}
	
	// do not delete this pointer
	aabbox3d<f32>* IrrScene_SMeshBufferTangents_getBoundingBox(SMeshBufferTangents* mb)
	{
		if (mb)
			return new aabbox3d<f32>(mb->getBoundingBox());
		else return 0;
	}
	
	u32 IrrScene_SMeshBufferTangents_getIndexCount(SMeshBufferTangents* mb)
	{
		if (mb)
			return mb->getIndexCount();
		else return 0;
	}
	
	// do not delete this pointer
	array<u16>* IrrScene_SMeshBufferTangents_getIndices(SMeshBufferTangents* mb)
	{
		if (mb)
			return &mb->Indices;
		else return 0;
	}
	
	// do not delete this pointer
	SMaterial* IrrScene_SMeshBufferTangents_getMaterial(SMeshBufferTangents* mb)
	{
		if (mb)
			return &mb->getMaterial();
		else return 0;
	}
	
	u32 IrrScene_SMeshBufferTangents_getVertexCount(SMeshBufferTangents* mb)
	{
		if (mb)
			return mb->getVertexCount();
		else return 0;
	}
	
	s32 IrrScene_SMeshBufferTangents_getVertexType(SMeshBufferTangents* mb)
	{
		if (mb)
			return mb->getVertexType();
		else return -1;
	}
	
	// returns a pointer to array of S3DVertexTangents. do not delete this pointer
	array<S3DVertexTangents>* IrrScene_SMeshBufferTangents_getVertices(SMeshBufferTangents* mb)
	{
		if (mb)
			return &mb->Vertices;
		else return 0;
	}
	
	void IrrScene_SMeshBufferTangents_recalculateBoundingBox(SMeshBufferTangents* mb)
	{
		if (mb)
			mb->recalculateBoundingBox();
	}

	void IrrScene_SMeshBufferTangents_setBoundingBox(SMeshBufferTangents* mb,const core::aabbox3df& box)
	{
		if (mb)
			mb->setBoundingBox(box);
	}
	
	u32 IrrScene_SMeshBufferTangents_getVertexPitch(SMeshBufferTangents* mb)
	{
		if (mb)
			return mb->getVertexPitch();
		else return -1;
	}
}