' ------------------------------------------------------------------------------------
' irr::video::IImage wrappers
'
' you cannot create IImages directly.  you must use IVideoDriver::CreateImage methods.
' when you are done with the image, the drop Function must be called.
' ------------------------------------------------------------------------------------
Public

Extern

	Function IrrVideo_IImage_del(pIImage:Int)
	Function IrrVideo_IImage_lock:Byte Ptr(pIImage_img:Int) ' cast Byte Ptr to Int Ptr or Short Ptr if needed
	Function IrrVideo_IImage_unlock(pIImage:Int)
	Function IrrVideo_IImage_getDimension:Int(pIImage:Int)
	Function IrrVideo_IImage_getBitsPerPixel:Int(pIImage:Int)
	Function IrrVideo_IImage_getBytesPerPixel:Int(pIImage:Int)
	Function IrrVideo_IImage_getImageDataSizeInBytes:Int(pIImage:Int)
	Function IrrVideo_IImage_getImageDataSizeInPixels:Int(pIImage:Int)
	Function IrrVideo_IImage_getPixel:Int(pIImage:Int,x:Int,y:Int)  ' returns SColor*
	Function IrrVideo_IImage_getColorFormat:Int(pIImage:Int)
	Function IrrVideo_IImage_getRedMask:Int(pIImage:Int)
	Function IrrVideo_IImage_getGreenMask:Int(pIImage:Int)
	Function IrrVideo_IImage_getBlueMask:Int(pIImage:Int)
	Function IrrVideo_IImage_getAlphaMask:Int(pIImage:Int)
	Function IrrVideo_IImage_getPitch:Int(pIImage:Int)

	Function IrrVideo_IImage_drop:Int(pIUnknown:Int)
	Function IrrVideo_IImage_getDebugName$z(pIUnknown:Int)
	Function IrrVideo_IImage_grab(pIUnknown:Int)

EndExtern

