' ------------------------------------------------------------------------------------
'  irr::video::IVideoModeList wrappers
' 
'  WARNING: this cannot be created manually.  it can be obtained by calling
'  IrrlichtDevice::getVideoModeList()
' ------------------------------------------------------------------------------------

Public

Type IVideoModeList Extends Tirr_IUnknown Final

	Function createFromHandle:IVideoModeList(pHandle:Int,bMustDel:Int=False)
		If Not pHandle Then Return Null
		Local oRetVal:IVideoModeList=New IVideoModeList
		oRetVal.attach(pHandle,bMustDel)
		Return oRetVal
	EndFunction
	
	Method getVideoModeCount:Int()
		Return IrrVideo_IVideoModeList_getVideoModeCount(handle)
	EndMethod
	
	Method getVideoModeResolution:Dimension2di(modeNumber:Int)
		Return Dimension2di.createFromHandle(IrrVideo_IVideoModeList_getVideoModeResolution(handle,modeNumber))
	EndMethod
	
	Method getVideoModeDepth:Int(modeNumber:Int)
		Return IrrVideo_IVideoModeList_getVideoModeDepth(handle,modeNumber)
	EndMethod
	
	Method getDesktopResolution:Dimension2di()
		Return Dimension2di.createFromHandle(IrrVideo_IVideoModeList_getDesktopResolution(handle))
	EndMethod

	Method getDesktopDepth:Int()
		Return IrrVideo_IVideoModeList_getDesktopDepth(handle)
	EndMethod

	Method drop:Int() Final
		If mustdelete Then mustdelete=False		
		Return IrrVideo_IVideoModeList_drop(handle)
	EndMethod
	
	Method getDebugName:String() Final
		Return IrrVideo_IVideoModeList_getDebugName(handle)
	EndMethod
	 
	Method grab() Final
		IrrVideo_IVideoModeList_grab(handle)
	EndMethod
	
	Method Delete()
		If (mustdelete) Then drop()
	EndMethod	
EndType


